2

I really need the older version of this library, and just this library. Please advise how to downgrade and lock the version.

0

Download the Utopic package, install and set on hold

wget http://mirrors.kernel.org/ubuntu/pool/main/m/meanwhile/libmeanwhile1_1.0.2-4.1ubuntu1_i386.deb
sudo dpkg -i libmeanwhile1_1.0.2-4.1ubuntu1_i386.deb
sudo apt-mark hold libmeanwhile1

Check it

% sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  libmeanwhile1
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

To reverse the behaviour

sudo apt-mark unhold libmeanwhile1
sudo apt-get dist-upgrade

Note, there are some packages which depends on libmeanwhile1

% apt-cache rdepends libmeanwhile1           
libmeanwhile1
Reverse Depends:
  kopete
  libpurple0
  libmeanwhile-dev

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.